> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stock



## OpenAPI

````yaml get /stock
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /stock:
    get:
      summary: Get stock
      operationId: getStock
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/stock'
                title: GetStockOk
          description: >-
            The request was successful, and the server has returned the
            requested resource in the response body.
      security:
        - Authorization: []
components:
  schemas:
    stock:
      type: object
      required:
        - region
        - stock
      properties:
        stock:
          type: object
          required:
            - available
            - stock
            - plan
          properties:
            plan:
              $ref: '#/components/schemas/plan'
            stock:
              type: integer
              examples:
                - 3
            available:
              type: boolean
        region:
          $ref: '#/components/schemas/region'
      description: ''
    plan:
      type: object
      required: []
      properties:
        id:
          type: integer
          examples:
            - 1
        cores:
          type: integer
          examples:
            - 2
        price:
          type: integer
          examples:
            - 10
        title:
          type: string
          examples:
            - RDP-40-2C-6M
        memory:
          type: integer
          examples:
            - 6
        storage:
          type: integer
          examples:
            - 40
      description: Plan object.
    region:
      type: object
      required:
        - id
      properties:
        id:
          type: integer
          examples:
            - 1
            - 2
        region:
          type: string
          examples:
            - nl
            - us
        location:
          type: string
          examples:
            - Amsterdam
            - Phoenix
      description: ''
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````